Package org.eclipse.graphiti.palette

# Interface IObjectCreationToolEntry

All Superinterfaces:
  `ICreationToolEntry`, `IPaletteEntry`, `IToolEntry`

All Known Implementing Classes:
  `ObjectCreationToolEntry`

public interface IObjectCreationToolEntry extends ICreationToolEntry
The Interface IObjectCreationToolEntry.

## Method Summary

Modifier and Type
Method
Description
`ICreateFeature`
`getCreateFeature()`
Gets the creates the feature.

### Methods inherited from interface org.eclipse.graphiti.palette.ICreationToolEntry

`getDescription, getLargeIconId`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

## Method Details

### getCreateFeature

ICreateFeature getCreateFeature()
Gets the creates the feature.

Returns:
  the ICreateFeature feature